UITreeNode.DnDEventWrapper (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.UITreeNode.DnDEventWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITreeNode.DnDEventWrapper

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.component.UITreeNode.DnDEventWrapper

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  UITreeNode

    protected static final class UITreeNode.DnDEventWrapper

extends javax.faces.event.FacesEvent

Helper inner class used to wrap drag and drop events to suspend them to ensure that events will processed last. Note: We should ensure that all drag & drop events will be processed after all other events to avoid problems with removed while drop operation tree nodes and their event handlers.

Author:
  dmorozov
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UITreeNode.DnDEventWrapper(javax.faces.component.UIComponent owner, javax.faces.event.FacesEvent target, java.lang.Object key)` Construct a new event object that wrap original event and store target node row key to be processed in future.

Method Summary
`java.lang.Object` | `getKey()` Get target component row key
`javax.faces.event.PhaseId` | `getPhaseId()` Return the identifier of the request processing phase during which this event should be delivered.
`javax.faces.event.FacesEvent` | `getTarget()` Get wrapped event
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`
`void` | `setKey(java.lang.Object key)` Set target component row key
`void` | `setPhaseId(javax.faces.event.PhaseId phaseId)` Set the `PhaseId` during which this event will be delivered.

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, queue`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UITreeNode.DnDEventWrapper

    public UITreeNode.DnDEventWrapper(javax.faces.component.UIComponent owner,
                                      javax.faces.event.FacesEvent target,
                                      java.lang.Object key)

  Construct a new event object that wrap original event and store target node row key to be processed in future.

  Parameters:
    `owner` - event owner component
    `target` - wrapped event
    `key` - target tree node row key

Method Detail

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Return the identifier of the request processing phase during which this event should be delivered.

  Overrides:
    `getPhaseId` in class `javax.faces.event.FacesEvent`

### setPhaseId

    public void setPhaseId(javax.faces.event.PhaseId phaseId)

  Set the `PhaseId` during which this event will be delivered.

  Overrides:
    `setPhaseId` in class `javax.faces.event.FacesEvent`
  Throws:
    `java.lang.IllegalArgumentException` - phaseId is null.

### getTarget

    public javax.faces.event.FacesEvent getTarget()

  Get wrapped event

  Returns:
    wrapped event

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

### getKey

    public java.lang.Object getKey()

  Get target component row key

  Returns:
    the row key

### setKey

    public void setKey(java.lang.Object key)

  Set target component row key

  Parameters:
    `key` - the row key to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.